import numarray
import graceTMPL

a = numarray.reshape(numarray.arrayrange(100), (-1, 20))
a = a.astype(numarray.Float)

mySave = graceTMPL.save()
mySave.loadTemplate('test03.tmpl')
mySave.setEnv('application','test03.py')
myGraph0 = mySave.addGraph()
myGraph1 = mySave.addGraph()
myGraph2 = mySave.addGraph()
myGraph3 = mySave.addGraph()
myGraph0.setEnv('graph','myGraph0')
myGraph1.setEnv('graph','myGraph1')
myGraph2.setEnv('graph','myGraph2')
myGraph3.setEnv('graph','myGraph3')
mySet0= myGraph0.addData('python generated \\"myData1\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [ 1.0, 0.8]]))
mySet1= myGraph1.addData('python generated \\"myData2\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [-0.8,-1.0]]))
mySet2= myGraph2.addData('python generated \\"myData3\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [ 0.4, 0.2]]))
mySet3= myGraph3.addData('python generated \\"myData4\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [-0.2,-0.4]]))
mySet0.setEnv('what','mySet0')
mySet1.setEnv('what','mySet1')
mySet2.setEnv('what','mySet2')
mySet3.setEnv('what','mySet3')

mySave.save('test03.agr')
