import numarray
import graceTMPL

a = numarray.reshape(numarray.arrayrange(100), (-1, 20))
a = a.astype(numarray.Float)

mySave = graceTMPL.save()
mySave.loadTemplate('test04.tmpl')
mySave.setEnv('application','test04.py')

#####################################################

myGraph0 = mySave.addGraph()
myGraph1 = mySave.addGraph()
myGraph2 = mySave.addGraph()
myGraph3 = mySave.addGraph()
myGraph0.setEnv('graph','myGraph0a')
myGraph1.setEnv('graph','myGraph1a')
myGraph2.setEnv('graph','myGraph2a')
myGraph3.setEnv('graph','myGraph3a')
mySet0= myGraph0.addData('python generated \\"myData1a\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [ 1.0, 0.8]]))
mySet1= myGraph1.addData('python generated \\"myData2a\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [-0.8,-1.0]]))
mySet2= myGraph2.addData('python generated \\"myData3a\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [ 0.4, 0.2]]))
mySet3= myGraph3.addData('python generated \\"myData4a\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [-0.2,-0.4]]))
mySet0.setEnv('what','mySet0a')
mySet1.setEnv('what','mySet1a')
mySet2.setEnv('what','mySet2a')
mySet3.setEnv('what','mySet3a')

#####################################################

myGraph0 = mySave.addGraph()
myGraph1 = mySave.addGraph()
myGraph2 = mySave.addGraph()
myGraph3 = mySave.addGraph()
myGraph0.setEnv('graph','myGraph0b')
myGraph1.setEnv('graph','myGraph1b')
myGraph2.setEnv('graph','myGraph2b')
myGraph3.setEnv('graph','myGraph3b')
mySet0= myGraph0.addData('python generated \\"myData1b\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [ 1.0, 1.0]]))
mySet1= myGraph1.addData('python generated \\"myData2b\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [-0.8,-0.8]]))
mySet2= myGraph2.addData('python generated \\"myData3b\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [ 0.4, 0.4]]))
mySet3= myGraph3.addData('python generated \\"myData4b\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [-0.2,-0.2]]))
mySet0.setEnv('what','mySet0b')
mySet1.setEnv('what','mySet1b')
mySet2.setEnv('what','mySet2b')
mySet3.setEnv('what','mySet3b')

#####################################################

myGraph0 = mySave.addGraph()
myGraph1 = mySave.addGraph()
myGraph2 = mySave.addGraph()
myGraph3 = mySave.addGraph()
myGraph0.setEnv('graph','myGraph0c')
myGraph1.setEnv('graph','myGraph1c')
myGraph2.setEnv('graph','myGraph2c')
myGraph3.setEnv('graph','myGraph3c')
mySet0= myGraph0.addData('python generated \\"myData1c\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [ 0.8, 1.0]]))
mySet1= myGraph1.addData('python generated \\"myData2c\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [-1.0,-0.8]]))
mySet2= myGraph2.addData('python generated \\"myData3c\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [ 0.2, 0.4]]))
mySet3= myGraph3.addData('python generated \\"myData4c\\" -\\njust two points',
                         numarray.array([[-2.0,20.0], [-0.4,-0.2]]))
mySet0.setEnv('what','mySet0c')
mySet1.setEnv('what','mySet1c')
mySet2.setEnv('what','mySet2c')
mySet3.setEnv('what','mySet3c')

#####################################################

myGraph0 = mySave.addGraph()
myGraph1 = mySave.addGraph()
myGraph2 = mySave.addGraph()
myGraph3 = mySave.addGraph()
myGraph0.setEnv('graph','myGraph0d')
myGraph1.setEnv('graph','myGraph1d')
myGraph2.setEnv('graph','myGraph2d')
myGraph3.setEnv('graph','myGraph3d')
mySet0= myGraph0.addData('python generated \\"myData1d\\" -\\njust two points',
                         numarray.array([[0.0,0.0], [ 1.0, 0.8]]))
mySet1= myGraph1.addData('python generated \\"myData2d\\" -\\njust two points',
                         numarray.array([[0.0,0.0], [-0.8,-1.0]]))
mySet2= myGraph2.addData('python generated \\"myData3d\\" -\\njust two points',
                         numarray.array([[0.0,0.0], [ 0.4, 0.2]]))
mySet3= myGraph3.addData('python generated \\"myData4d\\" -\\njust two points',
                         numarray.array([[0.0,0.0], [-0.2,-0.4]]))
mySet0.setEnv('what','mySet0d')
mySet1.setEnv('what','mySet1d')
mySet2.setEnv('what','mySet2d')
mySet3.setEnv('what','mySet3d')

#####################################################

mySave.save('test04-$p.agr')
