import numarray
import graceTMPL

a = numarray.reshape(numarray.arrayrange(100), (2, 50))
a = a.astype(numarray.Float)

myFloat = 23.56
outFileName = 'myGrace'
mySave = graceTMPL.save()
mySave.loadTemplate('example.agr')
print mySave.info()
mySave.setEnv('comment', 'Number: ' + '%2.1f'%(myFloat))
graph0 = mySave.addGraph()
graph1 = mySave.addGraph()
graph0.addData('up', a)
graph0.setEnv('xAxisLabel', 'myLabel Up')
graph0.setEnv('xAxisUnit', 'myUnit Up')
graph1.xoffset = 1.5
graph1.yoffset = 100.
graph1.scaling = 1e-2
myData1 = graph1.addData('down', numarray.array([a[1], a[0]]))
myData1.setEnv('voltage', '8.9')
graph1.setEnv('yAxisLabel', 'myLabel Down')
graph1.setEnv('yAxisUnit', 'myUnit Down')
mySave.save(outFileName + '.agr')
