import numarray
import graceTMPL

a = numarray.reshape(numarray.arange(100), (-1, 20))
a = a.astype(numarray.Float)

mySave = graceTMPL.save()
mySave.loadTemplate('test01.tmpl')
info=mySave.info()[0]
infoarray= '\\"'+info[0]+'\\",\\"'+info[1]+'\\",\\"'+\
                 info[2]+'\\",\\"'+info[3]+'\\"'
print infoarray
graph0 = mySave.addGraph()
graph0.addData('python generated \\"myData1\\" -\\njust two points',
               numarray.array([[-2.0,20.0], [ 1.0, 0.8]]))
graph0.addData('python generated \\"myData2\\" -\\njust two points',
               numarray.array([[-2.0,20.0], [-0.8,-1.0]]))
graph0.addData('python generated \\"myData3\\" -\\njust two points',
               numarray.array([[-2.0,20.0], [ 0.4, 0.2]]))
graph0.addData('python generated \\"myData4\\" -\\njust two points',
               numarray.array([[-2.0,20.0], [-0.2,-0.4]]))
mySave.setEnv('infoarray',infoarray)
mySave.save('test01.agr')
